prxs(8)

NAME
prxs - proFTPD Extension tool

SYNOPSIS

pxrs [options] [actions] mod-custom.c

pxrs -c -i -d mod_custom.c

prxs -c -i -D USE_CUSTOM -I /path/to/custom/include -L /path/to/custom/lib -l custom mod_custom.c

DESCRIPTION
This manual page explains the compailing with prxs

prxs is for This program for compile and install third-party modules from source code as DSO modules for your installed proftpd.

ACTIONS

The following actions describe the type of operation to be performed:

-c, --compile
    Compiles the listed .c source files into a proftpd DSO module

-i, --install
    Installs a compiled proftpd DSO module into the directory where proftpd expects to find loadable DSO modules.

-d, --clean
    Removes any generated files, returning the build directory to clean state.

OPTIONS

The following options describe the type of operation to be performed:

-n, --name
    Tells prxs the name of the module being compiled.
    By default, prxs determines the module name from the list of .c files listed, expecting to see a "mod_name.c" file.

-D key
    Passes these macros through to the compilation step.

-D key=value
    Note that the space before the key is important.

-I includedir
    Specify additional include file search directories. Note that the space before the directory is important.

-L libdir
    Specify additional library file search directories. Note that the space before the directory is important.

-l library
    Specify additional libraries for linking. Note that the space before the library name is important.

AUTHORS
The Proftpd team. See http://www.proftpd.org/ for information.

COPYRIGHT

Copyright (C) 2008-2009 TJ Saunders <tj@castaglia.org>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

NOTES
Manual page written for Debian GNU/Linux and/or derivatives by Mahyuddin Susanto <udienz@ubuntu.com>, March 2011